View a markdown version of this page

GetDependencyInsights - Next generation Resilience Hub

GetDependencyInsights

Retrieves the dependency insights generated for a service. The response reports the current generation status; insights are populated once generation has completed. If generation failed, the response includes an error code, whose possible values are listed under the response's errorCode field, and a message describing the cause. To use this operation, you must have the resiliencehub:GetDependencyInsights permission on the service.

Request Syntax

GET /v2/get-dependency-insights?serviceArn=serviceArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

serviceArn

ARN identifier.

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": number, "errorCode": "string", "errorMessage": "string", "insights": [ { "category": "string", "description": "string" } ], "overview": "string", "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the dependency insights were generated.

Type: Timestamp

errorCode

The error code returned when insights generation failed. Valid values:

  • INSUFFICIENT_DATA - There was not enough dependency data to generate insights.

  • LLM_GENERATION_FAILED - The insights could not be generated.

  • INTERNAL_ERROR - An internal error occurred while generating insights.

Type: String

Valid Values: INSUFFICIENT_DATA | LLM_GENERATION_FAILED | INTERNAL_ERROR

errorMessage

A message describing why insights generation failed.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1024.

insights

The list of dependency insights generated for the service. This field is not returned until the status is COMPLETED.

Type: Array of DependencyInsight objects

Array Members: Minimum number of 0 items. Maximum number of 5 items.

overview

A summary of the dependency insights for the service. This field is not returned until the status is COMPLETED.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 4096.

status

The status of the dependency insights generation. Valid values:

  • IN_PROGRESS - Insights generation is in progress.

  • COMPLETED - Insights generation completed successfully.

  • FAILED - Insights generation failed. See errorCode and errorMessage for details.

Type: String

Valid Values: IN_PROGRESS | COMPLETED | FAILED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ThrottlingException

Too many requests — rate limit exceeded.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: